// Data Blargs

//SMALL-CAL GROUND BULLET IMPACT
datablock ParticleData(ZMedGBParticle)
{
	 dragCoefficient			 = 6;
	 gravityCoefficient		 = 0;
	 inheritedVelFactor		 = 0.2;
	 constantAcceleration	 = 0.0;
	 lifetimeMS				 = 850;
	 lifetimeVarianceMS		 = 450;
	 textureName          	= "base/data/particles/cloud";
	 spinSpeed			 = 10.0;
	 spinRandomMin		 = -50.0;
	 spinRandomMax		 = 50.0;
	 colors[0]		 = "0.6 0.6 0.6 0.3";
	 colors[1]		 = "0.55 0.55 0.55 0.0";
	 sizes[0]		 = 0.75;
	 sizes[1]		 = 0.25;
	 useInvAlpha		 = true;
};
datablock ParticleEmitterData(ZMedGBEmitter)
{
   lifeTimeMS		 = 27;
   ejectionPeriodMS = 3;
   periodVarianceMS = 0;
   ejectionVelocity = 3;
   velocityVariance = 1.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 10;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance	 = false;
   particles		 = "ZMedGBParticle";
};
datablock ParticleData(ZMedGB2Particle)
{
	 dragCoefficient			 = 0;
	 gravityCoefficient		 = 3.0;
	 inheritedVelFactor		 = 0.0;
	 constantAcceleration	 = 0.0;
	 lifetimeMS			 = 200;
	 lifetimeVarianceMS	 = 100;
	 textureName			 = "base/data/particles/chunk";
	 spinSpeed			 = 20.0;
	 spinRandomMin		 = -500.0;
	 spinRandomMax		 = 500.0;
	 colors[0]		 = "0.01 0.01 0.01 0.9";
	 colors[1]		 = "0.01 0.01 0.01 0.6";
	 sizes[0]		 = 0.1;
	 sizes[1]		 = 0.1;
	 useInvAlpha		 = true;
};
datablock ParticleEmitterData(ZMedGB2Emitter)
{
   ejectionPeriodMS = 24;
   periodVarianceMS = 2;
   ejectionVelocity = 9;
   velocityVariance = 0.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance	 = false;
   particles		 = "ZMedGB2Particle";
};
datablock ExplosionData(ZMedGBIExplosion)
{
	 soundProfile	 = somekindofbullethittingthegroundimpactSound;
	 lifeTimeMS		 = 150;
	 particleEmitter	 = ZMedGBEmitter;
	 particleDensity	 = 5;
	 particleRadius	 = 0.2;
	 emitter[0]		 = ZMedGB2Emitter;
	 faceViewer		 = true;
	 explosionScale	 = "1 1 1";
	 shakeCamera			 = true;
	 camShakeFreq		 = "0.0 1.0 1.0";
	 camShakeAmp			 = "0.0 3.0 2.5";
	 camShakeDuration	 = 0.4;
	 camShakeRadius		 = 0.4;
	 lightStartRadius	 = 0;
	 lightEndRadius		 = 0;
};

datablock ProjectileData(ZMedGBIProjectile : GunProjectile)
{
   explosion           = ZMedGBIExplosion;
   directDamage = 0;
   muzzleVelocity      = 200;
   uiName = "";
};


//SMALL-CAL FLASH
datablock ParticleData(ZMedFParticle)
{
	 dragCoefficient			 = 0;
	 gravityCoefficient		 = 0.0;
	 inheritedVelFactor  	= 0.2;
	 constantAcceleration	 = 0.0;
	 lifetimeMS			 = 30;
	 lifetimeVarianceMS	 = 25;
	 textureName			 = "base/data/particles/cloud";
	 spinSpeed			 = 10.0;
	 spinRandomMin		 = -500.0;
	 spinRandomMax		 = 500.0;
	 colors[0]		 = "1.0 0.9 0.75 0.7";
	 colors[1]		 = "0.9 0.35 0.0 0.7";
	 colors[2]		 = "0.9 0.3 0.0 0.7";
	 sizes[0]		 = 0.75;
	 sizes[1]		 = 0.6;
	 sizes[2]    	= 0.5;
	 useInvAlpha		 = false;
};
datablock ParticleEmitterData(ZMedFEmitter)
{
   ejectionPeriodMS = 4;
   periodVarianceMS = 0;
   ejectionVelocity = 20.0;
   velocityVariance = 0.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 1;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance	 = false;
   particles		 = "ZMedFParticle";
};

//MED-CAL TRACER
datablock ParticleData(ZMedTParticle)
{
	 dragCoefficient			 = 10;
	 gravityCoefficient		 = 0.0;
	 inheritedVelFactor  	= 0.0;
	 constantAcceleration	 = 0.0;
	 lifetimeMS			 = 40;
	 lifetimeVarianceMS	 = 0;
	 textureName			 = "base/data/particles/ring";
	 spinSpeed			 = 0.0;
	 spinRandomMin		 = -500.0;
	 spinRandomMax		 = 500.0;
	 colors[0]		 = "1.0 0.4 0.1 1";
	 colors[1]		 = "0.9 0.4 0.0 1";
	 colors[2]		 = "0.9 0.2 0.0 1";
	 sizes[0]		 = 0.2;
	 sizes[1]		 = 0.1;
	 sizes[2]		 = 0.0;
	 useInvAlpha		 = false;
};
datablock ParticleEmitterData(ZMedTEmitter)
{
   ejectionPeriodMS = 3;
   periodVarianceMS = 0;
   ejectionVelocity = 1.0;
   velocityVariance = 0.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 1;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance	 = false;
   particles		 = "ZMedTParticle";
};

datablock ProjectileData(ZMedTProjectile : GunProjectile)
{
   explosion = "";
   directDamage = 0;
   muzzleVelocity      = 200;
   velInheritFactor    = 1;
   particleEmitter     = "ZMedTEmitter";
   uiName = "";
};