%error = ForceRequiredAddOn("Support_AdvGuns");
%error2 = ForceRequiredAddOn("Weapon_Gun");
%error3 = ForceRequiredAddOn("Support_RyAssets");

if(%error == $Error::AddOn_Disabled)
{
   // No ADVGuns found, the weapons won't work.
   error("ERROR: Your weaponset does not have its support code enabled! Look for Support_ADVGuns!");
}

if(%error2 == $Error::AddOn_Disabled)
{
   // We don't have the gun, so we're screwed
   error("ERROR: The default gun has been removed from your add-ons foulder somehow!");
}

if(%error3 == $Error::AddOn_Disabled)
{
   // The guns will likely look really broken without this, however, it is still possible to use the weaponset without it, so I won't stop them from launching it.
   error("ERROR: Someone forgot to install Rykuta's important weapon assets! Hurry up and get your shit in gear! Download that crap!");
}

// Engage Guns
if(%error != $Error::AddOn_Disabled && %error2 != $Error::AddOn_Disabled)
{
	exec("./Weapon_Assault_Rifle.cs");
	exec("./Weapon_Battle_Rifle.cs");
	exec("./Weapon_Carbine.cs");
	exec("./Weapon_LMG.cs");
	//exec("./Weapon_PistolAuto.cs");
	exec("./Weapon_PDW.cs");
	exec("./Weapon_Shotgun.cs");
	exec("./Weapon_Sniper.cs");
	//exec("./Weapon_SMG.cs");
}
